#include<stdio.h>
int main(){
int a, i, j;
scanf("%d",&a);
if(a<1){
  printf("-1");
  return 1;
}
for(j=1;j<=a;j++){
  for(i=1;i<=2*a-1;i++){
    if(j+i>a&&i<j+a)
      if((i+j)%2!=a%2) printf("*");
      else printf("A");
    else printf(" ");
  }
  printf("\n");
}
}